base: &default
  superdomain: <%= superdomain = ENV.fetch('THREESCALE_SUPERDOMAIN', '3scale.net') %>
  dev_domain: <%= ENV['THREESCALE_DEV_DOMAIN'] == '1' %>
  apicast_internal_host_regexp: '\Asystem-(.*)\Z'
  secure_cookie: <%= ENV.fetch('FORCE_SSL', '1') == '1' %>
  finance_enabled: <%= ENV.fetch('ENABLE_FINANCE', '1') == '1' %>
  force_ssl: <%= ENV.fetch('FORCE_SSL', '1') == '1' %>
  log_requests: <%= ENV.fetch('ENABLE_LOG_REQUESTS', '1') == '1' %>
  marketo_enabled: <%= ENV.fetch('ENABLE_MARKETO', '1') == '1' %>
  apicast_oauth: <%= ENV.fetch('ENABLE_APICAST_OAUTH', '0') == '1' %>
  apicast_custom_url: <%= ENV.fetch('ENABLE_APICAST_CUSTOM_URL', '0') == '1' %>
  active_docs_url: <%= ENV.fetch('ACTIVE_DOCS_URL', 'https://support-staging.3scale.net') %>
  active_docs_proxy_disabled: true
  asset_host: <%= ENV.fetch('RAILS_ASSET_HOST', nil) %>
  daily_weekly_reports_pref: <%= ENV.fetch('ENABLE_DAILY_WEEKLY_REPORTS_PREF', '1') == '1' %>
  readonly_custom_domains_settings: <%= ENV.fetch('READONLY_CUSTOM_DOMAINS_SETTINGS', '1') == '1' %>
  airbrake_api_key: <%= ENV['AIRBRAKE_API_KEY'] %>
  bugsnag_api_key: <%= ENV['BUGSNAG_API_KEY'] %>
  events_shared_secret: <%= ENV['EVENTS_SHARED_SECRET'] %>
  recaptcha_public_key: <%= ENV.fetch('RECAPTCHA_PUBLIC_KEY', 'YOUR_RECAPTCHA_PUBLIC_KEY') %>
  recaptcha_private_key: <%= ENV['RECAPTCHA_PRIVATE_KEY'] %>
  # System Emails
  noreply_email: <%= ENV.fetch('NOREPLY_EMAIL', "no-reply@#{superdomain}") %>
  support_email: <%= ENV.fetch('SUPPORT_EMAIL', "#{superdomain} Support <support@#{superdomain}>") %>
  sales_email: <%= ENV.fetch('SALES_EMAIL', "sales@#{superdomain}") %>
  notification_email: <%= ENV.fetch('NOTIFICATION_EMAIL', "#{superdomain} Notification <no-reply@#{superdomain}>") %>
  report_traffic: false
  hide_basic_switches: true
  tenant_mode: <%= ENV.fetch('TENANT_MODE', 'multitenant') %>
  db_secret: <%= ENV.fetch('DB_SECRET', SecureRandom.hex(20)) %>

development:
  <<: *default

test:
  <<: *default

preview:
  <<: *default

production:
  <<: *default
